Description
Could be great if we could format numbers to blank if zero. For example $numberFormat("B #,###.00",$number)

| know that replacing zero values to null and using the silent sign could do that, but doing that causes wrong results when doing
calculation inside the template.

If 1 do: #set($Total=$amount1+$amount2+$amount3) and one of the amounts is null nothing is stores into $Total.

| badly need that because | have a report that shows a crosstab with dates and hours with many zeros and the customer is
complaining about that.

Thanks.

History

#1 - 03/11/2011 07:43 PM - Patrick Talbot

- Tracker changed from Defect to Feature

Problem is that there is no zero formatter for numbers in Java.

One could maybe achieve something like that using a conditional formater, but that's not an easy thing to add (btw, this is a feature request, not a
defect).

Alternatively, | could add a special property to $number.format(), but that's also some work which | didn't really plan.

Depending on how badly you/your customer needs it, would you consider sponsoring it?

#2 - 08/15/2011 03:07 AM - Patrick Talbot
- Priority changed from High to Normal

#3 - 05/24/2012 03:57 AM - Patrick Talbot
- Category set to overall

- Priority changed from Normal to Low

- Client type set to Any

- In developer? set to No

- Servoy version set to Any

- Component version set to v2.0

- OS version set to Any

- Java version set to Any

#4 - 10/29/2012 02:08 PM - Patrick Talbot

- Status changed from New to In Progress

Added $number.nulllfZero($aNumber).
This will allow you to do something like this:

$!number.format("# ###.00 $", $number.nulllfZero($aNumber))
Which will show as blank if $aNumber is 0

#5 - 10/29/2012 02:11 PM - Patrick Talbot

- Status changed from In Progress to Closed

#number.nulllfZero is present with v2.0.27+
